Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] compat-wireless aus pentoo-overlay mergen
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Asante
n00b
n00b


Joined: 11 Jun 2007
Posts: 34
Location: Bochum (NRW-DE)

PostPosted: Tue Mar 01, 2011 4:30 pm    Post subject: [solved] compat-wireless aus pentoo-overlay mergen Reply with quote

hey,
ich bekomme beim emerge von compat-wireless-2.6.37-r7 (im pentoo-overlay) immer einen fehler

Code:
  LD [M]  /var/tmp/portage/net-wireless/compat-wireless-2.6.37-r7/work/compat-wireless-2.6.37-4-sn/drivers/net/wireless/ath/ath9k/ath9k_common.o
  LD [M]  /var/tmp/portage/net-wireless/compat-wireless-2.6.37-r7/work/compat-wireless-2.6.37-4-sn/drivers/net/wireless/ath/ath9k/ath9k_htc.o
make[2]: *** [/var/tmp/portage/net-wireless/compat-wireless-2.6.37-r7/work/compat-wireless-2.6.37-4-sn/drivers/net/wireless] Fehler 2
make[1]: *** [_module_/var/tmp/portage/net-wireless/compat-wireless-2.6.37-r7/work/compat-wireless-2.6.37-4-sn] Fehler 2
make[1]: Leaving directory `/usr/src/linux-2.6.36-gentoo-r5'

make: *** [modules] Fehler 2


was sagt der aus?
im ubuntuforum wurde jemanden geholfen, indem die makefile eines bestimmten treibers geleert wurde (bei dessen kompilierung der fehler auftrat) - waehre das in diesem fall dann der ath9k?


anbei noch emerge --info und emerge -pqv:

Code:
# emerge -pqv =net-wireless/compat-wireless-2.6.37-r7
[ebuild  N    ] net-wireless/compat-wireless-2.6.37-r7  USE="injection -atheros_obey_crda -debug-driver -debugfs -full-debug -noleds -tinyversionoverride"


Code:
# emerge --info =net-wireless/compat-wireless-2.6.37-r7
Portage 2.1.9.25 (default/linux/x86/10.0/desktop, gcc-4.4.5, glibc-2.11.2-r3, 2.6.36-gentoo-r5 i686)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.36-gentoo-r5-i686-Intel-R-_Core-TM-2_CPU_T5500_@_1.66GHz-with-gentoo-1.12.14
Timestamp of tree: Tue, 01 Mar 2011 15:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r2, 3.1.3-r1
dev-util/ccache:     2.4-r9
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.14-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA skype-eula dlj-1.1"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -mtune=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -mtune=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs candy ccache distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/pentoo"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa bash-completion berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gdu gif gpm gtk iconv ipv6 jpeg kde kdehiddenvisibility lcms ldap libnotify mad madwifi mikmod mmx mmxext mng modules mp3 mp4 mpeg mudflap mysql ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl phonon plasma png policykit ppds pppd python qt qt3 qt3support qt4 readline sdl semantic-desktop session smp spell sse ssl startup-notification svg sysfs tcpd tiff truetype udev unicode usb v4l v4l2 vorbis x264 x86 xcb xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="mouse keyboard evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="i810 intel vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Last edited by Asante on Wed Mar 02, 2011 2:21 pm; edited 1 time in total
Back to top
View user's profile Send private message
cryptosteve
Veteran
Veteran


Joined: 04 Jan 2004
Posts: 1169
Location: Buchholz/GER

PostPosted: Tue Mar 01, 2011 4:39 pm    Post subject: Reply with quote

Ich weiss überhaupt nicht, worum es da geht, aber ich sehe, dass compat-wireless-2.6.37-r7 nicht zu Deinem Kernel "Leaving directory `/usr/src/linux-2.6.36-gentoo-r5'" passt. Ist das beabsichtigt so?
_________________
- born to create drama -
cryptosteve - gpg: 0x9B6C7E15
CS Virtual Travel Bug: VF6G5D
Back to top
View user's profile Send private message
Asante
n00b
n00b


Joined: 11 Jun 2007
Posts: 34
Location: Bochum (NRW-DE)

PostPosted: Tue Mar 01, 2011 4:53 pm    Post subject: Reply with quote

ja, das waere ne andere frage, welche version ich davon mergen soll. hab jetzt mal die neuste genommen.. aber da die ja wie die kernel versionen durchnummeriert sind, hab ich auch die zu meinem kernel passende genommen. da kommt folgende warnung:
Code:
 * Your kernel version is most likely newer than the compat-wireless release you are
 * trying to install. If you are certain that your kernel is older then you can set
 * the tinyversionoverride use flag to override this safety check.


wenn ich das mit tinyversionoverride useflag merge kommt erst folgende warnung
Code:
 * You have the tinyversionoverride use flag set which means you know for a fact that your
 * kernel is older than the compat-wireless you are installing.
 * Most likely you have no clue what you are doing and should hit control-C now
 * before you downgrade your system. Ten seconds to think about it.


und dann bricht er mit dem gleichen fehler wie bei der spaeteren version ab. auch an der gleichen stelle, dem ath9k treiber.
Back to top
View user's profile Send private message
cryptosteve
Veteran
Veteran


Joined: 04 Jan 2004
Posts: 1169
Location: Buchholz/GER

PostPosted: Tue Mar 01, 2011 4:59 pm    Post subject: Reply with quote

Auf welchen Kernel zeigt denn der Symlink /usr/src/linux? Und wie versuchst Du welche dazu passende Version zu installieren?

Vielleicht weichen Symlink und aktuell gebooteter Kernel schon voneinander ab?
_________________
- born to create drama -
cryptosteve - gpg: 0x9B6C7E15
CS Virtual Travel Bug: VF6G5D
Back to top
View user's profile Send private message
Asante
n00b
n00b


Joined: 11 Jun 2007
Posts: 34
Location: Bochum (NRW-DE)

PostPosted: Tue Mar 01, 2011 5:25 pm    Post subject: Reply with quote

symlink zeigt auf 2.6.36:
Code:
# ll /usr/src/
insgesamt 20
lrwxrwxrwx  1 root root   22  4. Feb 14:49 linux -> linux-2.6.36-gentoo-r5


das ist auch der gebootete kernel, is gar kein anderer kompiliert.

emergen tue ich die versionen mit:
(aktuelle) emerge -av compat-wireless
(2.6.36) USE="tinyversionoverride" emerge -av =compat-wireless-2.6.36


was meinst du denn damit, dass du nich weißt worum es geht? was das fuer ein fehler sein koennte?
Back to top
View user's profile Send private message
cryptosteve
Veteran
Veteran


Joined: 04 Jan 2004
Posts: 1169
Location: Buchholz/GER

PostPosted: Tue Mar 01, 2011 5:28 pm    Post subject: Reply with quote

Asante wrote:
was meinst du denn damit, dass du nich weißt worum es geht? was das fuer ein fehler sein koennte?

Ich brauche / benutze kein compat-wireless und ich kenne das pentoo-overlay nicht.
_________________
- born to create drama -
cryptosteve - gpg: 0x9B6C7E15
CS Virtual Travel Bug: VF6G5D
Back to top
View user's profile Send private message
Asante
n00b
n00b


Joined: 11 Jun 2007
Posts: 34
Location: Bochum (NRW-DE)

PostPosted: Wed Mar 02, 2011 12:56 pm    Post subject: Reply with quote

wenn ich mir das so von der website runterlade und versuche per make && make install zu kompilieren kommt uebrigens auch der fehler 2, allerdings diesmal (und nun auch beim emerge) mit einer etwas anderen fehlermeldung:

Code:
# make
/home/asante/downloads/compat-wireless-2.6.38-rc4-1/config.mk:202: "WARNING: CONFIG_CFG80211_WEXT will be deactivated or not working because kernel was compiled with CONFIG_WIRELESS_EXT=n. Tools using wext interface like iwconfig will not work. To activate it build your kernel e.g. with CONFIG_LIBIPW=m."
make -C /lib/modules/2.6.36-gentoo-r5/build M=/home/asante/downloads/compat-wireless-2.6.38-rc4-1 modules
make[1]: Entering directory `/usr/src/linux-2.6.36-gentoo-r5'
  CC [M]  /home/asante/downloads/compat-wireless-2.6.38-rc4-1/drivers/net/b44.o
/home/asante/downloads/compat-wireless-2.6.38-rc4-1/drivers/net/b44.c:13:1: Warnung: »pr_fmt« redefiniert
In Datei, eingefügt von include/linux/skbuff.h:17,
                 von include/linux/if_ether.h:125,
                 von include/linux/netdevice.h:29,
                 von /home/asante/downloads/compat-wireless-2.6.38-rc4-1/include/linux/compat-2.6.29.h:5,
                 von /home/asante/downloads/compat-wireless-2.6.38-rc4-1/include/linux/compat-2.6.h:24,
                 von <Kommandozeile>:0:
include/linux/kernel.h:401:1: Warnung: dies ist die Stelle der vorherigen Definition
/home/asante/downloads/compat-wireless-2.6.38-rc4-1/drivers/net/b44.c: In Funktion »b44_pci_init«:
/home/asante/downloads/compat-wireless-2.6.38-rc4-1/drivers/net/b44.c:2345: Fehler: Implizite Deklaration der Funktion »ssb_pcihost_register«
make[3]: *** [/home/asante/downloads/compat-wireless-2.6.38-rc4-1/drivers/net/b44.o] Fehler 1
make[2]: *** [/home/asante/downloads/compat-wireless-2.6.38-rc4-1/drivers/net] Fehler 2
make[1]: *** [_module_/home/asante/downloads/compat-wireless-2.6.38-rc4-1] Fehler 2
make[1]: Leaving directory `/usr/src/linux-2.6.36-gentoo-r5'
make: *** [modules] Fehler 2


hier ist ja anscheinend die Funktion "ssb_pcihost_register" schuld..
Back to top
View user's profile Send private message
Asante
n00b
n00b


Joined: 11 Jun 2007
Posts: 34
Location: Bochum (NRW-DE)

PostPosted: Wed Mar 02, 2011 2:18 pm    Post subject: Reply with quote

nachdem ich im kernel folgendes aktiviert hab, lief emerge durch.
gab noch eine beschwerde wegen datenkollisionen, aber er installiert es nun zumindest.

Code:
Device Driver
--> Sonics Silicon Backplane
<*> Sonics Silicon Backplane support
[*] Support for SSB on PCI-bus host
[*] Support for SSB on PCMCIA-bus host
[ ] SSB debugging
[*] SSB PCI core driver
Back to top
View user's profile Send private message
cryptosteve
Veteran
Veteran


Joined: 04 Jan 2004
Posts: 1169
Location: Buchholz/GER

PostPosted: Wed Mar 02, 2011 4:02 pm    Post subject: Reply with quote

Und funktioniert es auch?
_________________
- born to create drama -
cryptosteve - gpg: 0x9B6C7E15
CS Virtual Travel Bug: VF6G5D
Back to top
View user's profile Send private message
Asante
n00b
n00b


Joined: 11 Jun 2007
Posts: 34
Location: Bochum (NRW-DE)

PostPosted: Wed Mar 02, 2011 5:53 pm    Post subject: Reply with quote

hab zur zeit kein wlan in reichweite, aber es sollte egntl klappen. ifconfig und iwconfig zeigen die karte richtig an und bekomme auch keine anderen fehler..

edit:
ja es klappt wirklich alles jetzt.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum